%define major	1
%define libname	%mklibname ircclient %{major}
%define devname	%mklibname -d ircclient

Summary:	C library to create IRC clients
Name:		libircclient
Version: 	1.10
Release: 	%mkrel 3
License: 	GPLv2
Group:		System/Libraries
URL:		http://www.ulduzsoft.com/libircclient/
Source0:	https://downloads.sourceforge.net/libircclient/%{name}-%{version}.tar.gz
Patch1:		libircclient-1.5-include-rfc.patch
Patch2:		0001-Don-t-strip-shared-library.patch
BuildRequires:	pkgconfig(openssl)

%description
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%package -n	%{libname}
Summary:	C library to create IRC clients
Group:		System/Libraries

%description -n %{libname}
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%package -n	%{devname}
Summary:	C library to create IRC clients
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}ircclient-static-devel < 1.10

%description -n	%{devname}
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-shared --enable-openssl --enable-ipv6
%make_build

%install
%make_install

%files -n %{libname}
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README Changelog THANKS
%{_libdir}/%{name}.so
%{_includedir}/*.h


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 1.10-3.mga9
+ Revision: 1796592
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.10-2.mga9
+ Revision: 1748098
- rebuild for openssl 3.0.0

* Sat Oct 24 2020 wally <wally> 1.10-1.mga8
+ Revision: 1639040
- new version 1.10
- enable shared build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Thu Feb 13 2020 umeabot <umeabot> 1.9-4.mga8
+ Revision: 1514213
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.9-3.mga7
+ Revision: 1298927
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 cjw <cjw> 1.9-2.mga7
+ Revision: 1151983
- patch2: fix configure.in for openssl 1.1

* Fri Jul 21 2017 sander85 <sander85> 1.9-1.mga7
+ Revision: 1126259
- New version: 1.9

* Thu Feb 11 2016 umeabot <umeabot> 1.8-2.mga6
+ Revision: 955590
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 1.8-1.mga6
+ Revision: 873873
- empty debug package
- 1.8

* Wed Oct 15 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 749762
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-4.mga5
+ Revision: 681541
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 507096
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 357534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 11 2012 fwang <fwang> 1.6-1.mga3
+ Revision: 259695
- new version 1.6

* Fri Jan 20 2012 fwang <fwang> 1.5-2.mga2
+ Revision: 198580
- add rfc include into main header

* Thu Jan 19 2012 fwang <fwang> 1.5-1.mga2
+ Revision: 198431
- imported package libircclient


* Thu Jan 19 2012 Funda Wang <fwang@mandriva.org> 1.5-1mdv2012.0
+ Revision: 762524
- new version 1.5

* Thu Dec 22 2011 Andrey Bondrov <abondrov@mandriva.org> 1.3-1
+ Revision: 744577
- imported package libircclient

